{%- comment -%}

Form: type image

@param :field [Integer] El campo del formulario
@param :image_class [String] Las clases del componente
{%- endcomment -%}

{%- assign name = include.field[0] -%}
{%- assign id = include.field[1].id | default: name -%}
{%- assign label = include.field[1]['path'].label[site.locale] -%}
{%- assign help = include.field[1]['path'].help[site.locale] -%}

<label>{{ label }}</label>

<div class="custom-file">
  <input
    {% if help %}
      aria-describedby="help-{{ id }}"
    {% endif %}
    {% if include.field[1].required %}
      required
    {% endif %}
    type="{{ include.field[1].type }}"
    name="{{ name }}[path]"
    id="{{ id }}_path"
    accept="image/*"
    class="custom-file-input {{ include.image_class }}" />

  <label for="{{ id }}_path" class="custom-file-label">
    {{ label }}
    {% if include.field[1].required %}*{% endif %}
  </label>

  {%- if help -%}
    <small id="help-{{ id }}" class="form-text">
      {{ help }}
    </small>
  {%- endif -%}
</div>
